import dynamix_sdk.base as _base


class CloudapiComputeAttachPciDeviceResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeAttachPciDeviceProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def attach_pci_device(
        self,
        *,
        vm_id: int,
        pci_device_id: int,
    ) -> CloudapiComputeAttachPciDeviceResultBool:
        ...
